package captcha

import (
	"net/http"

	"tyc-server/app/main/api/internal/logic/captcha"
	"tyc-server/app/main/api/internal/svc"
	"tyc-server/common/result"
)

func GetEncryptedSceneIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := captcha.NewGetEncryptedSceneIdLogic(r.Context(), svcCtx)
		resp, err := l.GetEncryptedSceneId()
		result.HttpResult(r, w, resp, err)
	}
}
